select 	rp.GRANTEE,
	GRANTED_ROLE,
	rp.ADMIN_OPTION,
	DEFAULT_ROLE,
	PRIVILEGE
from   	dba_role_privs rp, dba_sys_privs sp
where  	rp.GRANTEE = sp.GRANTEE
and	rp.GRANTEE not in ('SYS','SYSTEM','DBA')
order  	by  rp.GRANTEE, GRANTED_ROLE, PRIVILEGE
